# Uses of Enum Class
org.opensaml.security.credential.UsageType

Packages that use UsageType
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.security.credential
Interfaces and classes related to credentials and ways to represent them.
org.opensaml.security.credential.criteria.impl
Implementations of `Criterion` where the parameterized evaluation target type is `Credential`.
org.opensaml.security.credential.impl
`CredentialResolver` implementation classes.
org.opensaml.security.criteria
Classes which model lookup criteria used as input to a `Resolver`.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.

## Uses of UsageType in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return UsageType
Modifier and Type
Method
Description
`UsageType`
KeyDescriptor.`getUse()`
Gets the use of this key.
Methods in org.opensaml.saml.saml2.metadata with parameters of type UsageType
Modifier and Type
Method
Description
`void`
KeyDescriptor.`setUse(UsageType newType)`
Sets the use of this key.

## Uses of UsageType in org.opensaml.saml.saml2.metadata.impl

Fields in org.opensaml.saml.saml2.metadata.impl declared as UsageType
Modifier and Type
Field
Description
`private UsageType`
KeyDescriptorImpl.`keyUseType`
Key usage type.
Methods in org.opensaml.saml.saml2.metadata.impl that return UsageType
Modifier and Type
Method
Description
`UsageType`
KeyDescriptorImpl.`getUse()`
Gets the use of this key.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type UsageType
Modifier and Type
Method
Description
`void`
KeyDescriptorImpl.`setUse(UsageType newType)`
Sets the use of this key.

## Uses of UsageType in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl that return UsageType
Modifier and Type
Method
Description
`protected UsageType`
MetadataCredentialResolver.`getEffectiveUsageInput(CriteriaSet criteriaSet)`
Get the effective `UsageType` input to use.
Methods in org.opensaml.saml.security.impl with parameters of type UsageType
Modifier and Type
Method
Description
`protected void`
MetadataCredentialResolver.`extractCredentials(Collection<Credential> accumulator, KeyDescriptor keyDescriptor, String entityID, UsageType mdUsage)`
Extract the credentials from the specified KeyDescriptor.
`protected boolean`
MetadataCredentialResolver.`matchUsage(UsageType metadataUsage, UsageType criteriaUsage)`
Match usage enum type values from entityDescriptorResolver KeyDescriptor and from credential criteria.
`protected void`
MetadataCredentialResolver.`processRoleDescriptor(Collection<Credential> accumulator, RoleDescriptor roleDescriptor, String entityID, UsageType usage)`
Process a RoleDescriptor by examing each of its KeyDescriptors.
`protected Collection<Credential>`
MetadataCredentialResolver.`resolveFromMetadata(CriteriaSet criteriaSet, String entityID, QName role, String protocol, UsageType usage)`
Resolves credentials using this resolver's configured instance of `RoleDescriptorResolver`.
`protected Collection<Credential>`
MetadataCredentialResolver.`resolveFromRoleDescriptor(CriteriaSet criteriaSet, RoleDescriptor roleDescriptor, UsageType usage)`
Resolves credentials using a supplied instance of `RoleDescriptor`.

## Uses of UsageType in org.opensaml.security.credential

Fields in org.opensaml.security.credential declared as UsageType
Modifier and Type
Field
Description
`private UsageType`
AbstractCredential.`usageType`
Usage type of this credential.
Methods in org.opensaml.security.credential that return UsageType
Modifier and Type
Method
Description
`UsageType`
AbstractCredential.`getUsageType()`
Gets usage type of this credential.
`UsageType`
Credential.`getUsageType()`
Gets usage type of this credential.
`static UsageType`
UsageType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UsageType[]`
UsageType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.security.credential with parameters of type UsageType
Modifier and Type
Method
Description
`protected void`
AbstractCredential.`setUsageType(UsageType newUsageType)`
Sets the usage type for this credential.
`void`
BasicCredential.`setUsageType(UsageType newUsageType)`
Sets the usage type for this credential.
`void`
MutableCredential.`setUsageType(UsageType newUsageType)`
Sets the usage type for this credential.

## Uses of UsageType in org.opensaml.security.credential.criteria.impl

Fields in org.opensaml.security.credential.criteria.impl declared as UsageType
Modifier and Type
Field
Description
`private final UsageType`
EvaluableUsageCredentialCriterion.`usage`
Base criteria.
Methods in org.opensaml.security.credential.criteria.impl with parameters of type UsageType
Modifier and Type
Method
Description
`protected boolean`
EvaluableUsageCredentialCriterion.`matchUsage(UsageType credentialUsage, UsageType criteriaUsage)`
Match usage enum type values from credential and criteria.
Constructors in org.opensaml.security.credential.criteria.impl with parameters of type UsageType
Modifier
Constructor
Description
``
`EvaluableUsageCredentialCriterion(UsageType newUsage)`
Constructor.

## Uses of UsageType in org.opensaml.security.credential.impl

Fields in org.opensaml.security.credential.impl declared as UsageType
Modifier and Type
Field
Description
`private final UsageType`
KeyStoreCredentialResolver.`keystoreUsage`
Usage type of all keys in the store.
Methods in org.opensaml.security.credential.impl with parameters of type UsageType
Modifier and Type
Method
Description
`protected Credential`
KeyStoreCredentialResolver.`buildCredential(KeyStore.Entry keyStoreEntry, String entityID, UsageType usage)`
Build a credential instance from the key store entry.
`protected boolean`
KeyStoreCredentialResolver.`matchUsage(UsageType keyStoreUsage, UsageType criteriaUsage)`
Match usage enum type values from keystore configured usage and from credential criteria.
`protected X509Credential`
KeyStoreCredentialResolver.`processPrivateKeyEntry(KeyStore.PrivateKeyEntry privateKeyEntry, String entityID, UsageType usage)`
Build an X509Credential from a keystore private key entry.
`protected Credential`
KeyStoreCredentialResolver.`processSecretKeyEntry(KeyStore.SecretKeyEntry secretKeyEntry, String entityID, UsageType usage)`
Build a Credential from a keystore secret key entry.
`protected X509Credential`
KeyStoreCredentialResolver.`processTrustedCertificateEntry(KeyStore.TrustedCertificateEntry trustedCertEntry, String entityID, UsageType usage)`
Build an X509Credential from a keystore trusted certificate entry.
Constructors in org.opensaml.security.credential.impl with parameters of type UsageType
Modifier
Constructor
Description
``
`KeyStoreCredentialResolver(KeyStore store, Map<String,String> passwords, UsageType usage)`
Constructor.

## Uses of UsageType in org.opensaml.security.criteria

Fields in org.opensaml.security.criteria declared as UsageType
Modifier and Type
Field
Description
`private UsageType`
UsageCriterion.`credUsage`
Key usage type of resolved credentials.
Methods in org.opensaml.security.criteria that return UsageType
Modifier and Type
Method
Description
`UsageType`
UsageCriterion.`getUsage()`
Get the key usage criteria.
Methods in org.opensaml.security.criteria with parameters of type UsageType
Modifier and Type
Method
Description
`void`
UsageCriterion.`setUsage(UsageType usage)`
Set the key usage criteria.
Constructors in org.opensaml.security.criteria with parameters of type UsageType
Modifier
Constructor
Description
``
`UsageCriterion(UsageType usage)`
Constructor.

## Uses of UsageType in org.opensaml.security.x509.impl

Methods in org.opensaml.security.x509.impl with parameters of type UsageType
Modifier and Type
Method
Description
`void`
KeyStoreX509CredentialAdapter.`setUsageType(UsageType newUsageType)`
Sets the usage type for this credential.
`void`
X509KeyManagerX509CredentialAdapter.`setUsageType(UsageType newUsageType)`
Sets the usage type for this credential.